class ProfileForm
Same name and namespace in other branches
- 11.x core/modules/user/src/ProfileForm.php \Drupal\user\ProfileForm
- 10 core/modules/user/src/ProfileForm.php \Drupal\user\ProfileForm
- 9 core/modules/user/src/ProfileForm.php \Drupal\user\ProfileForm
- 8.9.x core/modules/user/src/ProfileForm.php \Drupal\user\ProfileForm
Form handler for the profile forms.
@internal
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\AutowireTrait, \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Htmx\HtmxRequestInfoTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\user\AccountForm implements \Drupal\Core\Security\TrustedCallbackInterface extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\user\ProfileForm extends \Drupal\user\AccountForm
- class \Drupal\user\AccountForm implements \Drupal\Core\Security\TrustedCallbackInterface extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of ProfileForm
File
-
core/
modules/ user/ src/ ProfileForm.php, line 12
Namespace
Drupal\userView source
class ProfileForm extends AccountForm {
/**
* {@inheritdoc}
*/
protected function actions(array $form, FormStateInterface $form_state) {
$element = parent::actions($form, $form_state);
if (!$this->entity
->isNew() && $this->entity
->hasLinkTemplate('cancel-form')) {
$route_info = $this->entity
->toUrl('cancel-form');
if ($this->getRequest()->query
->has('destination')) {
$query = $route_info->getOption('query');
$query['destination'] = $this->getRequest()->query
->get('destination');
$route_info->setOption('query', $query);
}
$element['delete'] = [
'#type' => 'link',
'#title' => $this->t('Cancel account'),
'#access' => $this->entity
->id() > 1 && $this->entity
->access('delete'),
'#attributes' => [
'class' => [
'button',
'button--danger',
],
],
];
$element['delete']['#url'] = $route_info;
}
return $element;
}
/**
* {@inheritdoc}
*/
public function save(array $form, FormStateInterface $form_state) {
$account = $this->entity;
$account->save();
$form_state->setValue('uid', $account->id());
$this->messenger()
->addStatus($this->t('The changes have been saved.'));
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| AccountForm::$languageManager | protected | property | The language manager. | ||
| AccountForm::alterPreferredLangcodeDescription | public | function | Alters the preferred language widget description. | ||
| AccountForm::buildEntity | public | function | Overrides ContentEntityForm::buildEntity | ||
| AccountForm::create | public static | function | Overrides ContentEntityForm::create | ||
| AccountForm::flagViolations | protected | function | Overrides ContentEntityForm::flagViolations | ||
| AccountForm::form | public | function | Overrides ContentEntityForm::form | 1 | |
| AccountForm::getEditedFieldNames | protected | function | Overrides ContentEntityForm::getEditedFieldNames | ||
| AccountForm::submitForm | public | function | Overrides ContentEntityForm::submitForm | 1 | |
| AccountForm::syncUserLangcode | public | function | Synchronizes preferred language and entity language. | ||
| AccountForm::trustedCallbacks | public static | function | Overrides TrustedCallbackInterface::trustedCallbacks | ||
| AccountForm::__construct | public | function | Constructs a new AccountForm object. | Overrides ContentEntityForm::__construct | |
| ContentEntityForm::$entity | protected | property | The entity being used by this form. | Overrides EntityForm::$entity | 8 |
| ContentEntityForm::$entityRepository | protected | property | The entity repository service. | ||
| ContentEntityForm::$entityTypeBundleInfo | protected | property | The entity type bundle info service. | ||
| ContentEntityForm::$time | protected | property | The time service. | ||
| ContentEntityForm::addRevisionableFormFields | protected | function | Add revision form fields if the entity enabled the UI. | ||
| ContentEntityForm::copyFormValuesToEntity | protected | function | Overrides EntityForm::copyFormValuesToEntity | ||
| ContentEntityForm::getBundleEntity | protected | function | Returns the bundle entity of the entity, or NULL if there is none. | ||
| ContentEntityForm::getFormDisplay | public | function | Overrides ContentEntityFormInterface::getFormDisplay | ||
| ContentEntityForm::getFormLangcode | public | function | Overrides ContentEntityFormInterface::getFormLangcode | ||
| ContentEntityForm::getNewRevisionDefault | protected | function | Should new revisions created on default. | ||
| ContentEntityForm::init | protected | function | Initializes the form state and the entity before the first form build. | Overrides EntityForm::init | 1 |
| ContentEntityForm::initFormLangcodes | protected | function | Initializes form language code values. | ||
| ContentEntityForm::isDefaultFormLangcode | public | function | Overrides ContentEntityFormInterface::isDefaultFormLangcode | ||
| ContentEntityForm::prepareEntity | protected | function | Overrides EntityForm::prepareEntity | 1 | |
| ContentEntityForm::setFormDisplay | public | function | Overrides ContentEntityFormInterface::setFormDisplay | ||
| ContentEntityForm::showRevisionUi | protected | function | Checks whether the revision form fields should be added to the form. | ||
| ContentEntityForm::updateChangedTime | public | function | Updates the changed time of the entity. | ||
| ContentEntityForm::updateFormLangcode | public | function | Updates the form language to reflect any change to the entity language. | ||
| ContentEntityForm::validateForm | public | function | Button-level validation handlers are highly discouraged for entity forms, as they will prevent entity validation from running. If the entity is going to be saved during the form submission, this method should be manually invoked from the button-level… |
Overrides FormBase::validateForm | 3 |
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | 2 | ||
| EntityForm::$entityTypeManager | protected | property | The entity type manager. | 3 | |
| EntityForm::$moduleHandler | protected | property | The module handler service. | 3 | |
| EntityForm::$operation | protected | property | The name of the current operation. | ||
| EntityForm::actionsElement | protected | function | Returns the action form element for the current entity form. | ||
| EntityForm::afterBuild | public | function | Form element #after_build callback: Updates the entity with submitted data. | 1 | |
| EntityForm::buildForm | public | function | Overrides FormInterface::buildForm | 13 | |
| EntityForm::getBaseFormId | public | function | Overrides BaseFormIdInterface::getBaseFormId | 3 | |
| EntityForm::getCallableFromDefinition | protected | function | Gets a callable from a string or array definition if possible. | ||
| EntityForm::getEntity | public | function | Overrides EntityFormInterface::getEntity | ||
| EntityForm::getEntityFromRouteMatch | public | function | Overrides EntityFormInterface::getEntityFromRouteMatch | 3 | |
| EntityForm::getFormId | public | function | Overrides FormInterface::getFormId | 14 | |
| EntityForm::getOperation | public | function | Overrides EntityFormInterface::getOperation | ||
| EntityForm::prepareInvokeAll | protected | function | Invokes the specified prepare hook variant. | ||
| EntityForm::processForm | public | function | Process callback: assigns weights and hides extra fields. | ||
| EntityForm::setEntity | public | function | Overrides EntityFormInterface::setEntity | ||
| EntityForm::setEntityTypeManager | public | function | Overrides EntityFormInterface::setEntityTypeManager | ||
| EntityForm::setModuleHandler | public | function | Overrides EntityFormInterface::setModuleHandler | ||
| EntityForm::setOperation | public | function | Overrides EntityFormInterface::setOperation | ||
| FormBase::$configFactory | protected | property | The config factory. | 2 | |
| FormBase::$requestStack | protected | property | The request stack. | 1 | |
| FormBase::$routeMatch | protected | property | The route match. | ||
| FormBase::config | protected | function | Retrieves a configuration object. | ||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 2 | |
| FormBase::container | private | function | Returns the service container. | ||
| FormBase::currentUser | protected | function | Gets the current user. | 2 | |
| FormBase::getRequest | protected | function | Gets the request object. | Overrides HtmxRequestInfoTrait::getRequest | |
| FormBase::getRouteMatch | protected | function | Gets the route match. | ||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | ||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | ||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | ||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | ||
| HtmxRequestInfoTrait::getHtmxCurrentUrl | protected | function | Retrieves the URL of the requesting page from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxPrompt | protected | function | Retrieves the prompt from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTarget | protected | function | Retrieves the target identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTrigger | protected | function | Retrieves the trigger identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTriggerName | protected | function | Retrieves the trigger name from an HTMX request header. | ||
| HtmxRequestInfoTrait::isHtmxBoosted | protected | function | Determines if the request is boosted by HTMX. | ||
| HtmxRequestInfoTrait::isHtmxHistoryRestoration | protected | function | Determines if if the request is for history restoration. | ||
| HtmxRequestInfoTrait::isHtmxRequest | protected | function | Determines if the request is sent by HTMX. | ||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | ||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | ||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | ||
| MessengerTrait::$messenger | protected | property | The messenger. | 25 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 25 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| ProfileForm::actions | protected | function | Overrides EntityForm::actions | ||
| ProfileForm::save | public | function | Overrides EntityForm::save | ||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 | |
| TrustedCallbackInterface::THROW_EXCEPTION | constant | Untrusted callbacks throw exceptions. | |||
| TrustedCallbackInterface::TRIGGER_SILENCED_DEPRECATION | constant | Untrusted callbacks trigger silenced E_USER_DEPRECATION errors. |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.